Skip to main content
POST
/
v1
/
knowledge-base
/
knowledge-bases
/
{kb_id}
/
sources
/
{source_id}
/
roots
Add Root
curl --request POST \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources/{source_id}/roots \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "provider_item_id": "<string>",
  "url": "<string>",
  "s3_path": "<string>",
  "resource_key": "<string>",
  "shortcut_target_resource_key": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "knowledge_base_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider_item_id": "<string>",
  "item_type": "<string>",
  "display_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "source_url": "<string>",
  "is_recursive": false,
  "metadata": {}
}

Authorizations

x-api-key
string
header
required

Path Parameters

kb_id
string<uuid>
required
source_id
string<uuid>
required

Body

application/json
provider_item_id
string | null
Required string length: 1 - 255
url
string | null
Required string length: 1 - 2048
s3_path
string | null
Required string length: 1 - 1024
resource_key
string | null
Maximum string length: 255
shortcut_target_resource_key
string | null
Maximum string length: 255

Response

Successful Response

id
string<uuid>
required
knowledge_base_source_id
string<uuid>
required
provider_item_id
string
required
Maximum string length: 255
item_type
string
required
Maximum string length: 50
display_name
string
required
Maximum string length: 500
created_at
string<date-time>
required
updated_at
string<date-time>
required
source_url
string | null
Maximum string length: 1000
is_recursive
boolean
default:false
metadata
Metadata · object